﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PubFinder1 {
	public partial class PubControl : UserControl {

		public String PubName {
			get { return (String)GetValue(PubNameProperty); }
			set { SetValue(PubNameProperty, value); }
		}

		public String PubAddress {
			get { return (String)GetValue(PubAddressProperty); }
			set { SetValue(PubAddressProperty, value); }
		}

		public String PubPhone {
			get { return (String)GetValue(PubPhoneProperty); }
			set { SetValue(PubPhoneProperty, value); }
		}

		public String PubImage {
			get { return (String)GetValue(PubImageProperty); }
			set { SetValue(PubImageProperty, value); }
		}

		public String Latitude {
			get { return (String)GetValue(LatitudeProperty); }
			set { SetValue(LatitudeProperty, value); }
		}

		public String Longitude {
			get { return (String)GetValue(LongitudeProperty); }
			set { SetValue(LongitudeProperty, value); }
		}

		public PubControl() {
			// Required to initialize variables
			InitializeComponent();
		}

		public static readonly DependencyProperty PubNameProperty = DependencyProperty.Register("PubName", typeof(String), typeof(PubControl), null);
		public static readonly DependencyProperty PubAddressProperty = DependencyProperty.Register("PubName", typeof(String), typeof(PubControl), null);
		public static readonly DependencyProperty PubPhoneProperty = DependencyProperty.Register("PubName", typeof(String), typeof(PubControl), null);
		public static readonly DependencyProperty PubImageProperty = DependencyProperty.Register("PubImage", typeof(String), typeof(PubControl), null);
		public static readonly DependencyProperty LatitudeProperty = DependencyProperty.Register("Latitude", typeof(String), typeof(PubControl), null);
		public static readonly DependencyProperty LongitudeProperty = DependencyProperty.Register("Longitude", typeof(String), typeof(PubControl), null);

	}
}